# ContactHeldItemTransferChanceModifier | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class ContactHeldItemTransferChanceModifier

#### Hierarchy (view full)

- HeldItemTransferModifier
  - ContactHeldItemTransferChanceModifier

- Defined in src/modifier/modifier.ts:2213

#####
Index

### Constructors

constructor

### Properties

chance
pokemonId
stackCount
type
virtualStackCount

### Methods

add
apply
clone
getArgs
getIcon
getIconStackText
getMaxHeldItemCount
getMaxStackCount
getPokemon
getScoreMultiplier
getSecondaryChanceMultiplier
getStackCount
getTransferMessage
getTransferrable
getTransferredItemCount
incrementStack
isIconVisible
match
matchType
shouldApply

## Constructors

### constructor

- new ContactHeldItemTransferChanceModifier(type, pokemonId, chancePercent, stackCount?): ContactHeldItemTransferChanceModifier

- #### Parameters

  - type: ModifierType
  - pokemonId: number
  - chancePercent: number
  - `Optional` stackCount: number

  #### Returns ContactHeldItemTransferChanceModifier

  Overrides HeldItemTransferModifier.constructor

  - Defined in src/modifier/modifier.ts:2216

## Properties

### `Private` chance

chance: number

- Defined in src/modifier/modifier.ts:2214

### pokemonId

pokemonId: number

Inherited from HeldItemTransferModifier.pokemonId

- Defined in src/modifier/modifier.ts:471

### stackCount

stackCount: number

Inherited from HeldItemTransferModifier.stackCount

- Defined in src/modifier/modifier.ts:149

### type

type: ModifierType

Inherited from HeldItemTransferModifier.type

- Defined in src/modifier/modifier.ts:131

### virtualStackCount

virtualStackCount: number

Inherited from HeldItemTransferModifier.virtualStackCount

- Defined in src/modifier/modifier.ts:150

## Methods

### add

- add(modifiers, virtual, scene): boolean

- #### Parameters

  - modifiers: PersistentModifier []
  - virtual: boolean
  - scene: default

  #### Returns boolean

  Inherited from HeldItemTransferModifier.add

  - Defined in src/modifier/modifier.ts:158

### apply

- apply(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Inherited from HeldItemTransferModifier.apply

  - Defined in src/modifier/modifier.ts:2124

### clone

- clone(): ContactHeldItemTransferChanceModifier

- #### Returns ContactHeldItemTransferChanceModifier

  Overrides HeldItemTransferModifier.clone

  - Defined in src/modifier/modifier.ts:2226

### getArgs

- getArgs(): any[]

- #### Returns any[]

  Overrides HeldItemTransferModifier.getArgs

  - Defined in src/modifier/modifier.ts:2230

### getIcon

- getIcon(scene, forSummary?): Container

- #### Parameters

  - scene: default
  - `Optional` forSummary: boolean

  #### Returns Container

  Inherited from HeldItemTransferModifier.getIcon

  - Defined in src/modifier/modifier.ts:501

### getIconStackText

- getIconStackText(scene, virtual?): BitmapText

- #### Parameters

  - scene: default
  - `Optional` virtual: boolean

  #### Returns BitmapText

  Inherited from HeldItemTransferModifier.getIconStackText

  - Defined in src/modifier/modifier.ts:223

### getMaxHeldItemCount

- getMaxHeldItemCount(pokemon): number

- #### Parameters

  - pokemon: default

  #### Returns number

  Overrides HeldItemTransferModifier.getMaxHeldItemCount

  - Defined in src/modifier/modifier.ts:2242

### getMaxStackCount

- getMaxStackCount(scene, forThreshold?): number

- #### Parameters

  - scene: default
  - `Optional` forThreshold: boolean

  #### Returns number

  Inherited from HeldItemTransferModifier.getMaxStackCount

  - Defined in src/modifier/modifier.ts:556

### getPokemon

- getPokemon(scene): default

- #### Parameters

  - scene: default

  #### Returns default

  Inherited from HeldItemTransferModifier.getPokemon

  - Defined in src/modifier/modifier.ts:532

### getScoreMultiplier

- getScoreMultiplier(): number

- #### Returns number

  Inherited from HeldItemTransferModifier.getScoreMultiplier

  - Defined in src/modifier/modifier.ts:536

### getSecondaryChanceMultiplier

- getSecondaryChanceMultiplier(pokemon): number

- #### Parameters

  - pokemon: default

  #### Returns number

  Inherited from HeldItemTransferModifier.getSecondaryChanceMultiplier

  - Defined in src/modifier/modifier.ts:541

### getStackCount

- getStackCount(): number

- #### Returns number

  Inherited from HeldItemTransferModifier.getStackCount

  - Defined in src/modifier/modifier.ts:192

### getTransferMessage

- getTransferMessage(pokemon, targetPokemon, item): string

- #### Parameters

  - pokemon: default
  - targetPokemon: default
  - item: ModifierType

  #### Returns string

  Overrides HeldItemTransferModifier.getTransferMessage

  - Defined in src/modifier/modifier.ts:2238

### getTransferrable

- getTransferrable(withinParty): boolean

- #### Parameters

  - withinParty: boolean

  #### Returns boolean

  Inherited from HeldItemTransferModifier.getTransferrable

  - Defined in src/modifier/modifier.ts:493

### getTransferredItemCount

- getTransferredItemCount(): number

- #### Returns number

  Overrides HeldItemTransferModifier.getTransferredItemCount

  - Defined in src/modifier/modifier.ts:2234

### incrementStack

- incrementStack(scene, amount, virtual): boolean

- #### Parameters

  - scene: default
  - amount: number
  - virtual: boolean

  #### Returns boolean

  Inherited from HeldItemTransferModifier.incrementStack

  - Defined in src/modifier/modifier.ts:179

### isIconVisible

- isIconVisible(scene): boolean

- #### Parameters

  - scene: default

  #### Returns boolean

  Inherited from HeldItemTransferModifier.isIconVisible

  - Defined in src/modifier/modifier.ts:497

### match

- match(modifier): boolean

- #### Parameters

  - modifier: Modifier

  #### Returns boolean

  Inherited from HeldItemTransferModifier.match

  - Defined in src/modifier/modifier.ts:481

### matchType

- matchType(modifier): boolean

- #### Parameters

  - modifier: Modifier

  #### Returns boolean

  Overrides HeldItemTransferModifier.matchType

  - Defined in src/modifier/modifier.ts:2222

### shouldApply

- shouldApply(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Inherited from HeldItemTransferModifier.shouldApply

  - Defined in src/modifier/modifier.ts:489